/*--------------------------------------------------------------------------*/ 
/** 
 * \file SwitchWithoutTimer.cpp
 * \brief Example for the use of the flip sign without a timer 
 * \author eQ-3 Entwicklung GmbH 
 */ 
/*-------------------------------------------------------------------------- 
 * Copyright 2012 eQ-3 Entwicklung GmbH 
 * All Rights Reserved. 
 * 
 * The information contained in this file is confidential property of "eQ-3 
 * Entwicklung GmbH". The use copying, transfer or disclosure is prohibited 
 * except by written agreement with "eQ-3 Entwicklung GmbH". 
 *--------------------------------------------------------------------------*/ 
/** 
 * \addtogroup TWO_WIRE_FLIP_SIGN 
 * \{ 
 */ 
/*--------------------------------------------------------------------------*/ 
#include "arduPi.h"
#include "two_wire_flip_sign.h"

int main (){
  setup();
  while(1){
    loop();
  }
  return (0);
}

/** 
 * \brief Setup the I2C-Interface  
 *
 * \param none
 * 
 * \return none 
 * 
**/ 
void setup()
{  
  Wire.begin();
}

/** 
 * \brief <short description> 
 * 
 * \param none
 *
 * \return none
 * 
**/ 
void loop()
{
  /** 
  The flip sign switches their state every 1000 ms 
  */
  while(1)
  {
    delay(1000);
    FLIPSIGN.set_state(DOWN);
    delay(1000);
    FLIPSIGN.set_state(UP);
  }
}

/** \}
 * End of file
**/