/*--------------------------------------------------------------------------*/ 
/** 
 * \file ToggleWithTimer.pde
 * \brief Example for the use of the flip sign with a timer 
 * \author eQ-3 Entwicklung GmbH 
 */ 
/*-------------------------------------------------------------------------- 
 * Copyright 2012 eQ-3 Entwicklung GmbH 
 * All Rights Reserved. 
 * 
 * The information contained in this file is confidential property of "eQ-3 
 * Entwicklung GmbH". The use copying, transfer or disclosure is prohibited 
 * except by written agreement with "eQ-3 Entwicklung GmbH". 
 *--------------------------------------------------------------------------*/ 
/** 
 * \addtogroup TWO_WIRE_FLIP_SIGN 
 * \{ 
 */ 
/*--------------------------------------------------------------------------*/ 

#include "arduPi.h"
#include "two_wire_flip_sign.h"

int main (){
  setup();
  while(1){
    loop();
  }
  return (0);
}

/** 
 * \brief Setup the I2C-Interface  
 *
 * \param none
 * 
 * \return none 
 * 
**/ 
void setup()
{  
  Wire.begin();
}

/** 
 * \brief <short description> 
 * 
 * \param none
 *
 * \return none
 * 
**/ 
void loop()
{
  /** 
  The flip sign switches their state every 60s 
  */
  FLIPSIGN.set_state(TOGGLE, 60);
  
  while(1) {
  }
}

/** \}
 * End of file
**/