/******************************************************************************
Beispiel:      simpleVoltmeter

Beschreibung:   Dieses Beispiel zeigt die Anzeige einer Zahl auf dem Display 
                des I2C-LCD-Modul anhand eines einfachen Voltmeters.
                
Hinweis:        Es wird die Spannung am analogen Eingang A2 gemessen.
******************************************************************************/
#include "arduPi.h"
#include "TwoWireLCD.h"
#include "ADCPi.h"

int main (){
  setup();
  while(1){
    loop();
  }
  return (0);
}

/******************************************************************************
globale Variablen
******************************************************************************/
// Pin an dem die Spannung gemessen wird
unsigned char sensorPin = 3; //A2

// eingelesener Sensorwert
unsigned long sensorValue = 0;

/******************************************************************************
Funktionen
******************************************************************************/
void setup()
{  
  // Initialisierung des I2C und des I2C-LCD-Moduls
  Wire.begin();
  LCD.begin();
  
  // das Volt-Symbol auf dem Display anzeigen
  LCD.showVolt(1);
  ADC.begin();
}

void loop()
{
  // die Spannung am analogen Eingang A2 messen
  sensorValue = ADC.analogRead(sensorPin);
  sensorValue = sensorValue * 500 / 256;
  
  // die gemessene Spannung mit 2 Nachkommastellen auf dem Display anzeigen
  LCD.print((int)sensorValue, NO_LEADING_ZEROS, 2);
  LCD.update();
  
  delay(500);  
}