#ifndef CP240X_LCD_H
#define CP240X_LCD_H

#include "CP240x_reg.h"

unsigned char CP240xInitSequence[] =
{
  // Port 0,1,2,4 als analoge I/Os und Port 3 als digitalen I/O
  5, REGWRITE, CP240X_P0MDI, 0x00, 0x00, 0x00, 0xFF, 0x00,
  
  // Port 3 als open-drain betreiben
  1, REGWRITE, CP240X_P3MDO, 0x00,
  
  // Port 3 auf High setzen
  1, REGWRITE, CP240X_P3OUT, 0xFF,
  
  // Schreibschutz fr den RTClock entfernen
  2, REGSET, CP240X_RTCKEY, 0xA5, 0xF1,
  
  // RTClock deaktivieren
  2, REGWRITE, CP240X_RTCADR, (0x10 | RTC0CN), 0x00,
  
  // kein "AGC" verwenden , externen Quarz verwenden, kein "Bias Double" verwenden 
  2, REGWRITE, CP240X_RTCADR, (0x10 | RTC0XCN), 0x04,
  
  // kein "Automatic Load Capacitance Stepping" verwenden, "Load Capacitance" einstellen
  2, REGWRITE, CP240X_RTCADR, (0x10 | RTC0XCF), 0x0C,
  
  // RTClock wieder aktivieren
  2, REGWRITE, CP240X_RTCADR, (0x10 | RTC0CN), 0x80,
  
  // LCD0 Control Register: 32 Segmente, 4-mux-Modus, 1/3 Bias
  // Contrast Adjustment: 3,02 V 
  // LCD Configuration: 0x9F
  // LCD Refresh Rate: 64 Hz
  // Toggle Rate Divider: 2048
  // Charge Pump Clock: 1 MHz
  7, REGWRITE, CP240X_LCD0CN, (0x08 | 0x06 | 0x00), 0x08, 0x9F, 0x1F, 0x00, 0x0C, 0x00,
  
  // LCD einschalten
  1, REGWRITE, CP240X_MSCN, 0x01,
  
  // Ende der Initialisierung
  0  
};

#endif /* CP240X_LCD_H */
