#ifndef RS5C372A_H
#define RS5C372A_H

typedef enum
{
  REGISTER_SECOND_COUNTER_ADDRESS = 0x00,
  REGISTER_MINUTE_COUNTER_ADDRESS,
  REGISTER_HOUR_COUNTER_ADDRESS,
  REGISTER_DAY_OF_WEEK_COUNTER_ADDRESS,
  REGISTER_DAY_COUNTER_ADDRESS,
  REGISTER_MONTH_COUNTER_ADDRESS,
  REGISTER_YEAR_COUNTER_ADDRESS,
  REGISTER_TIME_TRIMMING_REGISTER_ADDRESS,
  REGISTER_ALARM_A_MINUTE_REGISTER_ADDRESS,
  REGISTER_ALARM_A_HOUR_REGISTER_ADDRESS,
  REGISTER_ALARM_A_DAY_OF_WEEK_REGISTER_ADDRESS,
  REGISTER_ALARM_B_MINUTE_REGISTER_ADDRESS,
  REGISTER_ALARM_B_HOUR_REGISTER_ADDRESS,
  REGISTER_ALARM_B_DAY_OF_WEEK_REGISTER_ADDRESS,
  REGISTER_CONTROL_REGISTER_1_ADDRESS,
  REGISTER_CONTROL_REGISTER_2_ADDRESS
} Register_t;

typedef enum
{
  PERIODIC_INTERRUPT_OFF = 0,
  PERIODIC_INTERRUPT_FIXED_AT_LOW,
  PERIODIC_INTERRUPT_PULSE_MODE_2_HZ,
  PERIODIC_INTERRUPT_PULSE_MODE_1_HZ,
  PERIODIC_INTERRUPT_LEVEL_MODE_EVERY_SECOND,
  PERIODIC_INTERRUPT_LEVEL_MODE_EVERY_MINUTE,
  PERIODIC_INTERRUPT_LEVEL_MODE_EVERY_HOUR,
  PERIODIC_INTERRUPT_LEVEL_MODE_EVERY_MONTH
} PeriodicInterruptSelection_t;

typedef enum
{
  ALARM_A = 0x02,
  ALARM_B = 0x01
} Alarm_t;

typedef enum
{
  CONTROL_REG1_ALARM_B_ENABLE = 0x40,
  CONTROL_REG2_ALARM_A_ENABLE = 0x80
} ControlRegister1_t;

typedef enum
{
  CONTROL_REG2_ALARM_B_MATCHED = 0x01,
  CONTROL_REG2_ALARM_A_MATCHED = 0x02,
  CONTROL_REG2_PERIODIC_INTERRUPT_ON = 0x04,
  CONTROL_REG2_32KHZ_CLOCK_OUTPUT_DISABLE = 0x08,
  CONTROL_REG2_SECOND_DIGIT_ADJUSTMENT = 0x10,
  CONTROL_REG2_24H_TIME_DISPLAY_SYSTEM = 0x20
} ControlRegister2_t;

typedef enum
{
  SUNDAY = 0x01,
  MONDAY = 0x02,
  TUESDAY = 0x04,
  WEDNESDAY = 0x08,
  THURSDAY = 0x10,
  FRIDAY = 0x20,
  SATURDAY = 0x40,
  EVERY_WEEKDAY = 0x7F
} AlarmWeekdays_t;

#endif